
cc.Class({
    extends: cc.Component,

    properties: {
        isOpenGame: false
    },

    setTouchBtnListener: function () {
        var self = this;
        self.node.on(cc.Node.EventType.TOUCH_START, function (event) {
            self.game.clickSound()
            self.game.classroom.active = true
            self.game.index.active = false
            self.game.board.active = true
            self.game.teacher.active = true
            self.game.level.progress = 1
            self.game.gameState = 'action'
            self.game.teacher.getComponent("Teacher").startSwivel()
        })
    },

    onLoad: function () {
       // 初始化跳跃动作
       this.setTouchBtnListener()
    },
});
